:root {
    --background-color: #f0f0f0;
    --text-color: #333;
    --button-background: #4caf50;
    --button-text-color: white;
}

[data-theme="dark"] {
    --background-color: #333;
    --text-color: #f0f0f0;
    --button-background: #666;
}

body {
    font-family: sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: var(--background-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
}

.container {
    text-align: center;
}

.theme-switcher {
    position: absolute;
    top: 20px;
    right: 20px;
}

.numbers-container {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.number {
    display: inline-block;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin: 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    font-weight: bold;
    color: white;
}

#generate-btn {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: var(--button-background);
    color: var(--button-text-color);
    border: none;
    border-radius: 5px;
}
